import request from '@/utils/request'

//导入
export function importTemplate() {
  return request({
    url: '/mall/mallSchoolAccept/importTemplate',
    method: 'get'
  })
}


// 查询学校专业录取数据列表
export function listMallSchoolAccept(query) {
  return request({
    url: '/mall/mallSchoolAccept/list',
    method: 'get',
    params: query
  })
}

// 查询学校专业录取数据详细
export function getMallSchoolAccept(schoolAcceptId) {
  return request({
    url: '/mall/mallSchoolAccept/' + schoolAcceptId,
    method: 'get'
  })
}

// 新增学校专业录取数据
export function addMallSchoolAccept(data) {
  return request({
    url: '/mall/mallSchoolAccept',
    method: 'post',
    data: data
  })
}

// 修改学校专业录取数据
export function updateMallSchoolAccept(data) {
  return request({
    url: '/mall/mallSchoolAccept',
    method: 'put',
    data: data
  })
}

// 删除学校专业录取数据
export function delMallSchoolAccept(schoolAcceptId) {
  return request({
    url: '/mall/mallSchoolAccept/' + schoolAcceptId,
    method: 'delete'
  })
}
